Bug 586098 - plymouth log viewer appears in tray
plymouth log viewer appears in tray
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-26 15:41 EDT by Colin Walters
Modified: 2012-08-16 16:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:08:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Colin Walters 2010-04-26 15:41:22 EDT
On login, if you had bootup failures, the plymouth-log-viewer process (user gdm) is still resident in the session.
Comment 1 Ray Strode [halfline] 2010-05-12 11:33:55 EDT
relevant irc conversation:


[11:21:21] <michich> halfline, hello. When there is an error during boot, "plymouth-log-viewer --icon" runs in the logged-in user's session, but its uid is   
                     "gdm". Is it normal?                                                   
[11:21:53] <halfline> michich: it's not normal, but there's already a bug about it                                                           
[11:22:08] <halfline> gnome-session is under suspicioun                                                   
[11:22:14] <halfline> haven't had time to investigate yet                                                 
[11:22:52] <daniel_hozac> it happens in xfce too, FWIW.                          
[11:25:35] <michich> I see. I found the bug: https://bugzilla.redhat.com/show_bug.cgi?id=586098
[11:25:48] <michich> daniel_hozac, but you still use gdm to login, right?                                                                    
[11:27:41] <daniel_hozac> yeah                                                                               
[11:29:02] <halfline> daniel_hozac: gdm uses gnome-session under the hood
[11:29:19] <halfline> the current theory is there was achange to the way shutdown happens                                                   
[11:29:30] <halfline> it used to be gdm would just kill the entire process group belonging to gnome-session 
[11:29:37] <halfline> that caused problems on other platforms                       
[11:29:51] <halfline> because the process group leader (gnome-session) would get killed before its children
[11:29:58] <halfline> so we changed gdm and gnome-session in lockstep                                                                    
[11:30:04] <halfline> we made gdm kill just gnome-session                                             
[11:30:15] <halfline> and when gnome-session got the signal to die, it went ahead and killed all its children
[11:30:25] <halfline> apparently that last part doesn't work so well                                                       
[11:30:37] <halfline> the fix is either 1) fix gnome-session so that last part does work well
[11:31:23] <halfline> or 2) fix gdm so it kills the process group after it explicitly kills the process group leader
Comment 2 Bug Zapper 2010-07-30 07:28:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2012-08-16 16:09:00 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.